Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.step
Class BaseStepData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData

Direct Known Subclasses:
  AbortData, AccessInputData, AccessOutputData, AddSequenceData, AddXMLData, AggregateRowsData, AnalyticQueryData, AppendData, BlockingStepData, CalculatorData, CheckSumData, CloneRowData, ClosureGeneratorData, ColumnExistsData, CombinationLookupData, ConstantData, CreditCardValidatorData, CsvInputData, CubeInputData, CubeOutputData, DatabaseJoinData, DatabaseLookupData, DBProcData, DelayData, DeleteData, DenormaliserData, DetectEmptyStreamData, DetectLastRowData, DimensionLookupData, DummyTransData, DynamicSQLRowData, ExcelInputData, ExcelOutputData, ExecProcessData, ExecSQLData, ExecSQLRowData, FieldSplitterData, FileExistsData, FilesFromResultData, FilesToResultData, FilterRowsData, FixedInputData, FlattenerData, FormulaData, GetFileNamesData, GetFilesRowsCountData, GetPreviousRowFieldData, GetSubFoldersData, GetVariableData, GetXMLDataData, GPBulkLoaderData, GroupByData, HTTPData, HTTPPOSTData, IfNullData, InfobrightLoaderData, InjectorData, InsertUpdateData, JaninoData, JoinRowsData, LDAPInputData, LDIFInputData, LucidDBBulkLoaderData, MailData, MailValidatorData, MappingData, MappingInputData, MappingOutputData, MergeJoinData, MergeRowsData, MondrianData, MonetDBBulkLoaderData, MySQLBulkLoaderData, NormaliserData, NullIfData, NumberRangeData, OraBulkLoaderData, ParGzipCsvInputData, PGBulkLoaderData, ProcessFilesData, PropertyInputData, PropertyOutputData, RandomValueData, RegexEvalData, ReplaceStringData, ReservoirSamplingData, RowGeneratorData, RowsFromResultData, RowsToResultData, RssInputData, RssOutputData, SalesforceInputData, SampleRowsData, ScriptValuesModData, SelectValuesData, SetValueConstantData, SetValueFieldData, SetVariableData, SocketReaderData, SocketWriterData, SortedMergeData, SortRowsData, SplitFieldToRowsData, SQLFileOutputData, StepMetastructureData, StreamLookupData, StringCutData, SwitchCaseData, SynchronizeAfterMergeData, SystemDataData, TableExistsData, TableInputData, TableOutputData, TextFileInputData, TextFileOutputData, UniqueRowsByHashSetData, UniqueRowsData, UnivariateStatsData, UpdateData, ValidatorData, ValueMapperData, WebServiceData, WriteToLogData, XBaseInputData, XMLInputData, XMLInputSaxData, XMLJoinData, XMLOutputData, XsdValidatorData, XsltData

    public class BaseStepData

extends Object

This class is the base class for the StepDataInterface and contains the methods to set and retrieve the status of the step data.

Since:
  20-jan-2005
Author:
  Matt

Constructor Summary
`BaseStepData()`

Method Summary
`int` | `getStatus()` Get the status of this step data.
`boolean` | `isDisposed()`
`boolean` | `isEmpty()`
`boolean` | `isFinished()`
`boolean` | `isIdle()`
`boolean` | `isInitialising()`
`boolean` | `isRunning()`
`boolean` | `isStopped()`
`void` | `setStatus(int status)` Set the status of the step data.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseStepData

    public BaseStepData()

Method Detail

### setStatus

    public void setStatus(int status)

  Set the status of the step data.

  Parameters:
    `status` - the new status.

### getStatus

    public int getStatus()

  Get the status of this step data.

  Returns:
    the status of the step data

### isEmpty

    public boolean isEmpty()

### isInitialising

    public boolean isInitialising()

### isRunning

    public boolean isRunning()

### isIdle

    public boolean isIdle()

### isFinished

    public boolean isFinished()

### isStopped

    public boolean isStopped()

### isDisposed

    public boolean isDisposed()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD